<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<body>
<%@include file="inc/head.inc"%>
<f:view>
	<h:form>
		<t:saveState id="ss1" value="#{tabbedPaneBean}" />
		<f:loadBundle var="example_messages"
			basename="org.apache.myfaces.examples.resource.example_messages" />
		<t:messages id="messageList" showSummary="true" showDetail="true" summaryFormat="{0}:" />

		<t:panelTabbedPane bgcolor="#CCFFFF" serverSideTabSwitch="true">
			<h:outputText value="#{example_messages['tabbed_common']}" />
			<t:panelTab id="tab1" label="tabul1">
				<h:selectBooleanCheckbox id="testCheckBox"
					value="#{testCheckBox.checked}" />
				<h:outputLabel for="testCheckBox" value="A checkbox" />
			</t:panelTab>
			<t:panelTab id="tab3" label="tabul2">
				<t:selectOneRadio value="#{testRadioButton.choice}">
					<f:selectItem itemValue="0" itemLabel="First Choice" />
					<f:selectItem itemValue="1" itemLabel="Second Choice" />
				</t:selectOneRadio>
				<h:inputText id="inp3" />
			</t:panelTab>
			<h:commandButton value="#{example_messages['tabbed_submit']}" />
		</t:panelTabbedPane>
		<jsp:include page="inc/mbean_source.jsp" />

	</h:form>
</f:view>
<%@include file="inc/page_footer.jsp"%>
</body>
</html>