<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<body>
<%@include file="inc/head.inc"%>
<f:view>
	<h:form>
		<t:saveState id="ss1" value="#{tabbedPaneBean}" />
		<f:loadBundle var="example_messages"
			basename="org.apache.myfaces.examples.resource.example_messages" />
		<t:messages id="messageList" showSummary="true" showDetail="true"
			summaryFormat="{0}:" />
		<f:subview id="panelTabbedPane1">
			<h:outputText value="client-side tab switching" />
			<t:panelTabbedPane bgcolor="#FFFFCC" serverSideTabSwitch="false">
				<h:outputText value="#{example_messages['tabbed_common']}" />
				<t:panelTab id="tab1" label="#{example_messages['tabbed_tab1']}"
					rendered="#{tabbedPaneBean.tab1Visible}">
					<h:selectBooleanCheckbox id="testCheckBox"
						value="#{testCheckBox.checked}" />
					<h:outputLabel for="testCheckBox" value="A checkbox" />
					<h:inputText id="inp1" />
					<h:inputText id="inp2" required="true" />
					<h:message for="inp2" showSummary="false" showDetail="true" />
				</t:panelTab>
				<f:subview id="tab2">
					<jsp:include page="tab2.jsp" />
				</f:subview>
				<t:panelTab id="tab3" label="#{example_messages['tabbed_tab3']}"
					rendered="#{tabbedPaneBean.tab3Visible}">
					<t:selectOneRadio value="#{testRadioButton.choice}">
						<f:selectItem itemValue="0" itemLabel="First Choice" />
						<f:selectItem itemValue="1" itemLabel="Second Choice" />
					</t:selectOneRadio>
					<t:dataTable id="xxx" value="#{testCheckList.testCheckBoxes}"
						var="checkBox" preserveDataModel="true" rowIndexVar="rowNumber">
						<h:column>
							<f:facet name="header">
								<h:outputText value="Check boxes list" />
							</f:facet>
							<h:selectBooleanCheckbox value="#{checkBox.checked}" />
							<h:outputText value="Check box #{rowNumber}" />
						</h:column>
						<h:column>
							<f:facet name="header">
								<h:outputText value="Text" />
							</f:facet>
							<h:inputText value="#{checkBox.text}" />
						</h:column>
					</t:dataTable>
					<h:inputText id="inp3" />
				</t:panelTab>
				<h:selectBooleanCheckbox value="#{tabbedPaneBean.tab1Visible}" />
				<h:outputText value="#{example_messages['tabbed_visible1']}" />
				<h:selectBooleanCheckbox value="#{tabbedPaneBean.tab2Visible}" />
				<h:outputText value="#{example_messages['tabbed_visible2']}" />
				<h:selectBooleanCheckbox value="#{tabbedPaneBean.tab3Visible}" />
				<h:outputText value="#{example_messages['tabbed_visible3']}" />
				<h:commandButton value="#{example_messages['tabbed_submit']}" />
			</t:panelTabbedPane>
		</f:subview>
		<f:subview id="panelTabbedPane2">
			<h:outputText value="server-side tab switching" />
			<t:panelTabbedPane bgcolor="#CCFFFF" serverSideTabSwitch="true">
				<h:outputText value="#{example_messages['tabbed_common']}" />
				<t:panelTab id="tab1" label="#{example_messages['tabbed_tab1']}"
					rendered="#{tabbedPaneBean.tab1Visible}">
					<h:selectBooleanCheckbox id="testCheckBox"
						value="#{testCheckBox.checked}" />
					<h:outputLabel for="testCheckBox" value="A checkbox" />
					<h:inputText id="inp1" />
					<h:inputText id="inp2" required="true" />
					<h:message for="inp2" showSummary="false" showDetail="true" />
				</t:panelTab>
				<f:subview id="tab2">
					<jsp:include page="tab2.jsp" />
				</f:subview>
				<t:panelTab id="tab3" label="#{example_messages['tabbed_tab3']}"
					rendered="#{tabbedPaneBean.tab3Visible}">
					<t:selectOneRadio value="#{testRadioButton.choice}">
						<f:selectItem itemValue="0" itemLabel="First Choice" />
						<f:selectItem itemValue="1" itemLabel="Second Choice" />
					</t:selectOneRadio>
					<t:dataTable id="xxx" value="#{testCheckList.testCheckBoxes}"
						var="checkBox" preserveDataModel="true" rowIndexVar="rowNumber">
						<h:column>
							<f:facet name="header">
								<h:outputText value="Check boxes list" />
							</f:facet>
							<h:selectBooleanCheckbox value="#{checkBox.checked}" />
							<h:outputText value="Check box #{rowNumber}" />
						</h:column>
						<h:column>
							<f:facet name="header">
								<h:outputText value="Text" />
							</f:facet>
							<h:inputText value="#{checkBox.text}" />
						</h:column>
					</t:dataTable>
					<h:inputText id="inp3" />
				</t:panelTab>
				<h:selectBooleanCheckbox value="#{tabbedPaneBean.tab1Visible}" />
				<h:outputText value="#{example_messages['tabbed_visible1']}" />
				<h:selectBooleanCheckbox value="#{tabbedPaneBean.tab2Visible}" />
				<h:outputText value="#{example_messages['tabbed_visible2']}" />
				<h:selectBooleanCheckbox value="#{tabbedPaneBean.tab3Visible}" />
				<h:outputText value="#{example_messages['tabbed_visible3']}" />
				<h:commandButton value="#{example_messages['tabbed_submit']}" />
			</t:panelTabbedPane>
			<jsp:include page="inc/mbean_source.jsp" />
		</f:subview>
	</h:form>
</f:view>
<%@include file="inc/page_footer.jsp"%>
</body>
</html>