<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>ValueChangeListeners et validations</title>
</head>
<body>
<%@include file="inc/head.inc"%>
<f:view>
	<h:panelGroup id="body">
		<h:outputLabel styleClass="header18"
			value="ValueChangeListeners et validations"></h:outputLabel>
		<h:form id="f1">
			<h:panelGrid columns="3" border="1" rules="all">
				<h:panelGroup>
					<h:outputLabel value="foobar" for="ip1"></h:outputLabel>
					<f:verbatim>, une valeur entre 5 et 10</f:verbatim>
				</h:panelGroup>
				<h:inputText value="#{selectModel.dummyValue}" id="ip1" required="true">
					<f:validateLongRange minimum="5" maximum="10" />
				</h:inputText>
				<t:message id="foobarError" for="ip1" styleClass="error" />
				<h:selectOneMenu id="selone_menu_options" value="o2"
					styleClass="selectOneMenu" onchange="submit()" immediate="true"
					valueChangeListener="#{selectModel.menuChanged}">
					<f:selectItem itemValue="" itemLabel="choose" />
					<f:selectItems value="#{selectModel.optionItems}" />
				</h:selectOneMenu>
				<h:outputText value="#{selectModel.counter}"></h:outputText>
				<h:commandButton action="#{selectModel.confirm}" value="ok"></h:commandButton>
			</h:panelGrid>
		</h:form>
		<t:messages id="messageList" styleClass="error"
			summaryFormat="{0} dans {1}" />
	</h:panelGroup>
	<jsp:include page="inc/mbean_source.jsp" />
</f:view>
<c:out value="${selectModel.counter}" />
<%@include file="inc/page_footer.jsp"%>
</body>
</html>