package my.utils;

public class DisplaySourceLink {

	/**
	 * example "http://localhost:8080/myf/"
	 */
	String baseUrl = "http://localhost:8080/myf/";
	private String url;

	public void setBaseUrl(String baseUrl) {
		this.baseUrl = baseUrl;
	}

	/**
	 * example "#{validationController}"
	 */

	public String getLink(String binding) {
		String hpath = getUrl(binding);
		return "<a href=\"" + hpath + "\">show source of:" + binding + "</a>";
	}

	public void setUrl(String u) {
		this.url = u;
	}

	public String getUrl() {
		return url;
	}

	public String getUrl(String binding) {
		javax.faces.context.FacesContext facesContext = javax.faces.context.FacesContext
				.getCurrentInstance();
		this.url = baseUrl
				+ facesContext.getApplication().createValueBinding(
						"#{" + binding + "}").getValue(facesContext).getClass()
						.getName() + ".java.source";
		return url;
	}

}
